diff -r 21642e2932ae -r 8c93e8f2f941 apps/app_record.c
--- a/apps/app_record.c	Tue Nov 18 14:31:55 2014 +0000
+++ b/apps/app_record.c	Tue Nov 18 14:56:46 2014 +0000
@@ -411,8 +411,14 @@
 	if (gotsilence) {
 		ast_stream_rewind(s, silence - 1000);
 		ast_truncstream(s);
-	} else if (!gottimeout) {
-		/* Strip off the last 1/4 second of it */
+	} else if (!gottimeout && f) {
+		/*
+		 * Strip off the last 1/4 second of it, if we didn't end because of a timeout,
+		 * or a hangup.  This must mean we ended because of a DTMF tone and while this
+		 * 1/4 second stripping is very old code the most likely explanation is that it
+		 * relates to stripping a partial DTMF tone.
+		 * https://issues.asterisk.org/jira/browse/ASTERISK-24530
+		 */
 		ast_stream_rewind(s, 250);
 		ast_truncstream(s);
 	}
